﻿@using SportsClub.Areas.Dashboard.Models
@model EditOrderViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Cancel/Edit Order
            </h1>
        </div>

        <div class="actions">
            @* <a ui-sref="InviteUser" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new program">
                     <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
                </a>*@
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <nav class="step-navigator breadcrumbs edit-order">
        <ul>
            <li id="Step1-details" ng-class="{'active': Model.PageStep == 'OrderDetail', 'done':Model.PageStep == 'PaymentPlan' || Model.PageStep == 'Review' }">
                <a ng-click="Model.PageStep = 'OrderDetail'">
                    Order details
                </a>
            </li>
            <li id="Step2-review" class="last" ng-class="{'active': Model.PageStep == 'Review'}">
                <a class="ng-isolate-scope" ng-click="isInstallmentsEqualsTotal()? Model.PageStep = 'Review': return;">
                    <i class="icon-checkmark"></i>
                </a>
            </li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
        </ul>
    </nav>

    <div class="margin-bottom20 transfer-overview text-center place-righ full-width">
        <div class="place-left one-fifth">
            <b>Order amount</b>
            <i id="orderAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>New amount</b>
            <i id="newAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Paid amount</b>
            <i id="paidAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Difference</b>
            <i id="difference"></i>
        </div>
        <div class="place-left one-fifth" ng-class="{'fg-green': calculateBalance()<0,'fg-red': calculateBalance() > 0 }">
            <b>Remaining balance</b>
            <i id="remaining"></i>
        </div>
    </div>

    <div class="clearfix"></div>

    <div class="orderitem-profile place-left full-width margin-bottom20">
        <div>
            <div id="Gender" class="avatar-box">
                <i ng-class="{'jbi-user-male':Model.Gender == 'Male', 'jbi-user-female': Model.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
            </div>
            <div class="info-box">
                <h2 id="Name" class="name ellipsis"><span ng-bind="Model.PlayerName">Participant Name</span> - <span ng-bind="Model.ConfirmationId"></span></h2>
                <p id="Age" class="desc">{{Model.Gender}}<span ng-if="Model.Age != 0">| {{Model.Age}} </span> <span ng-if="Model.Grade">| Grade {{Model.Grade}}</span></p>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>

    <div ng-if="Model.PageStep == 'OrderDetail'">

        <table id="tbl-ChargeDiscountItem" class="table menue-table" ng-if="Model.OrderChargeDiscounts.length > 0">
            <colgroup>
                <col />
                <col width="280" />
                <col width="400" />
            </colgroup>
            <thead>
                <tr>
                    <th class="text-left">Item</th>
                    <th class="text-left">Amount</th>
                    <th></th>
                    <th class="text-right" style="padding-right:22px;white-space:nowrap;">Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | orderBy:sortByTuition">
                    <td ng-class="{'line-through' : !chargeDiscount.Checked}">
                        <span ng-if="chargeDiscount.Category == 'EntryFee'">
                            {{Model.ProgramName}}
                        </span>
                        <span ng-if="chargeDiscount.Category != 'EntryFee'">
                            {{chargeDiscount.Name}}
                        </span>

                        <span ng-if="chargeDiscount.SubCategory == 'Discount' && chargeDiscount.Category != 'Coupon'" style="margin-left:3px"  class="label success">Discount</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Discount' &&  chargeDiscount.Category == 'Coupon'" style="margin-left:3px" class="label success">Coupon</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Category != 'EntryFee'" style="margin-left:3px" class="label info">Service</span>

                    </td>
                    <td>
                        <span ng-if="!chargeDiscount.EditMode">{{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}</span>
                        <div ng-if="chargeDiscount.EditMode" class="input-control text price" data-sign="$" data-role="input-control">
                            <input type="text" id="EditAmount" ng-model="chargeDiscount.Amount" ng-blur="chargeDiscount.Amount = (Number(chargeDiscount.Amount) || 0)" />
                        </div>
                    </td>
                    <td>
                        <div ng-if="chargeDiscount.EditMode">
                            <button class="btn success" id="SaveAmount" ng-click="chargeDiscount.Amount < 0 ? chargeDiscount.Amount = 0 : chargeDiscount.EditMode = !chargeDiscount.EditMode">Save</button>
                            <button class="btn" id="CancelEdit" ng-if="chargeDiscount.Checked" ng-click="cancelEditItem(chargeDiscount)">Cancel</button>
                        </div>
                    </td>
                    <td>
                        <div ng-if="!installment.EditMode && !IsCancelOrder" id="ChargeDiscountActions">
                            <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                    <span style="font-size:18px;font-weight:900;font-family:Arial">
                                        ...
                                    </span>
                                    <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                        <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                            <li ng-click="removeChargeDiscount(chargeDiscount.Id,'AllOrder');" id="CancelEntireOrder" ng-if="!chargeDiscount.EditMode && chargeDiscount.Checked && chargeDiscount.Category=='EntryFee'" class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Cancel entire order</span>
                                            </li>
                                            <li ng-click="editItem(chargeDiscount);" id="ManuallyEdit" ng-if="chargeDiscount.Checked && chargeDiscount.Category!='EntryFee'" class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Manually adjust amount</span>
                                            </li>
                                            <li id="Remove" ng-show="!chargeDiscount.EditMode && chargeDiscount.Category!='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id,'ThisTuition')" class="k-item k-state-default" role="menuitem">
                                                <span class="k-link ">Remove</span>
                                            </li>
                                            <li id="Add" ng-show="!chargeDiscount.EditMode && chargeDiscount.Category!='EntryFee'  && !chargeDiscount.Checked && !cancelMode()" ng-click="addChargeDiscount(chargeDiscount.Id)" class="k-item k-state-default" role="menuitem">
                                                <span class="k-link ">Add</span>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                         <div ng-if="!installment.EditMode && IsCancelOrder && IsCancelEntireOrder != true" id="ChargeDiscountActions">
                            <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                <li class="k-item k-state-default" role="menuitem" style="z-index: auto;margin-right: 20px;" ng-if="!chargeDiscount.EditMode && !chargeDiscount.Checked && chargeDiscount.Category=='EntryFee'">
                                    <span style="font-size:18px;font-weight:900;font-family:Arial">
                                        ...
                                    </span>
                                    <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                        <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                            <li ng-click="ActiveOrder(chargeDiscount.Id);" id="CancelEntireOrder"  class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Undo cancel</span>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="clearfix"></div>
    <button class="btn place-right" ng-show="Model.PageStep == 'OrderDetail' && IsCancelEntireOrder != true && !IsCancelOrder" ng-click="CancelEntireOrder();">Cancel entire order</button>
    <button class="btn place-right" ng-show="Model.PageStep == 'OrderDetail' && IsCancelEntireOrder == true" ng-click="ActiveEntireOrder();">Undo cancel</button>
    <div class="clearfix"></div>
    <div class="grid fluid" ng-if="Model.OrderSessions !=null">
        <div class="row">
            <div class="span12" style="overflow-x:auto !important">
                <div ng-if="Model.PageStep == 'OrderDetail'">
                    <div>
                        <table id="tbl-SessionsItem" class="table table-bordered margin-top20 menue-table">
                            <thead>
                                <tr>
                                    <td class="text-bold">Date</td>
                                    <td class="text-bold">Time</td>
                                    <td class="text-bold">Amount</td>
                                    <td class="text-bold text-right" style="padding-right:22px;white-space:nowrap;">Actions</td>
                                </tr>
                            </thead>
                            <tbody ng-if="Model.OrderSessions !=null">
                                <tr ng-repeat="session in Model.OrderSessions">
                                    <td ng-class="{'line-through' : session.IsDeleted}">
                                        <div ng-if="!session.EditMode">
                                            {{formatDate(session.NewDate)}}
                                        </div>

                                        <div ng-if="session.EditMode" style="height: 283px;display: inline-block">
                                            <div id="sessionScheduler">
                                            </div>
                                        </div>

                                    </td>
                                    <td ng-class="{'line-through' : session.IsDeleted}">
                                        {{session.Time}}
                                    </td>
                                    <td ng-class="{'line-through' : session.IsDeleted}">
                                        <div>
                                            {{session.Amount.formatCurrencyWithPenny(2)}}
                                        </div>
                                    </td>
                                    <td role="gridcell">
                                        <div ng-if="session.EditMode" style="position: relative;display: block; white-space: nowrap">
                                            <button class="btn success" ng-click="saveSession(session)">Save</button>
                                            <button class="btn" ng-click="cancelEditSessionItem(session)">Cancel</button>
                                        </div>
                                        <div ng-if="!session.EditMode && !IsCancelOrder" id="SessionActions">
                                            <ul kendo-menu="" class="k-arrow-less" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                                <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                                    <span style="font-size:18px;font-weight:900;font-family:Arial;text-align:right">
                                                        ...
                                                    </span>
                                                    <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                                        <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                                            <li id="ChangeDate" ng-click="editSessionItem(session)" ng-show="!session.IsDeleted" class="k-item k-state-default k-first" role="menuitem">
                                                                <span class="k-link ">Change date</span>
                                                            </li>
                                                            <li id="CancelSession" ng-show="!session.IsDeleted" ng-click="removeSessionItem(session)" class="k-item k-state-default" role="menuitem">
                                                                <span class="k-link ">Cancel</span>
                                                            </li>
                                                            <li id="Undo" ng-show="session.IsDeleted" ng-click="activeSession(session)" class="k-item k-state-default k-last" role="menuitem">
                                                                <span class="k-link">Undo cancel</span>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <hr />
    <div class="clearfix" ng-if="Model.PageStep == 'OrderDetail'">
        <label style="font-size:initial;">Do you want to charge a cancellation/edit fee?</label>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                <label class="block">
                    <input type="radio" ng-model="ShowCancellationFeeBox" ng-click="DisplayeCancellationFeeBox(true)" ng-value="true">
                    <span class="check"></span>
                    Yes
                </label>
            </div>
            <br />
        </div>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                <label class="block">
                    <input type="radio" ng-model="ShowCancellationFeeBox" ng-click="DisplayeCancellationFeeBox(false)" ng-value="false">
                    <span class="check"></span>
                    No
                </label>
            </div>
            <br />
        </div>
        <div class="clearfix"></div>

        <div ng-show="ShowCancellationFeeBox">
            <div ng-if="!IsCancelOrder">
                <label>Edit fee <span style="color:#3f32eb">(Note: this is not the refund amount)</span> </label>
                <div class="input-control text price place-left span6" data-role="input-control" data-sign="$">
                    <input ng-model="Model.EditFee" type="number" @Html.AngTooltipValidationFor(model => model.EditFee) />
                </div>
            </div>
            <div class="clearfix"></div>
            <br />
            <div ng-if="IsCancelOrder">
                <label>Cancellation fee <span style="color:#3f32eb">(Note: this is not the refund amount)</span> </label>
                <div class="input-control text price place-left span6" data-role="input-control" data-sign="$">
                    <input ng-model="Model.CancellationFee" type="number" />
                </div>
            </div>
            <br />
        </div>

        <br />
        <div class="clearfix"></div>

        <label>Memo</label>
        <div class="input-control textarea">
            <textarea class="span6" ng-model="Model.CancelEditMemo"></textarea>
        </div>

    </div>
       

    <div class="clearfix"></div>
    <div ng-if="Model.PageStep == 'Review'">

        <div class="clearfix">

            <div class="clearfix"></div>
            <div class="place-left one-half">
                <h3 ng-if="">You're about to edit order</h3>
                <h3 ng-if="!hasTuition()">You're about to cancel order</h3>

            </div>
        </div>

        <table id="tbl-ReviewChargeDiscount"  class="table table-bordered margin-top20">
            <thead>
                <tr>
                    <td class="text-bold">Item</td>
                    <td class="text-bold lineup-amount-td">Amount</td>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | filter: {Checked: true } | orderBy:sortByTuition">
                    <td>
                        <span ng-if="chargeDiscount.Category == 'EntryFee'">
                            {{Model.ProgramName}}
                        </span>
                        <span ng-if="chargeDiscount.Category != 'EntryFee'">
                            {{chargeDiscount.Name}}
                        </span>

                        <span ng-if="chargeDiscount.SubCategory == 'Discount' && chargeDiscount.Category != 'Coupon'" style="text-decoration: inherit;" class="label success">Discount</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Discount' &&  chargeDiscount.Category == 'Coupon'" style="text-decoration: inherit;" class="label success">Coupon</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td class="lineup-amount-td">
                        {{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}
                    </td>

                </tr>

                <tr ng-if="Model.EditFee != null && Model.EditFee != 'undefined' && Model.EditFee > 0 ">
                    <td>
                        Edit fee
                        <span style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td class="lineup-amount-td">
                        {{Model.EditFee.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>
                <tr ng-if="Model.CancellationFee != null && Model.CancellationFee != 'undefined' && Model.CancellationFee > 0 ">
                    <td>
                        Cancellation fee
                        <span style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td class="lineup-amount-td">
                        {{Model.CancellationFee.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>
            </tbody>
        </table>

        <div ng-if="!cancelMode() && Model.OrderSessions !=null">
            <h4></h4>

            <table id="tbl-ReviewSessions" class="table table-bordered">
                <thead>
                    <tr>
                        <td class="text-bold">Date</td>
                        <td class="text-bold">Time</td>
                        <td class="text-bold lineup-amount-td">Amount</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="session in Model.OrderSessions | filter: {IsDeleted: false}">
                      
                        <td>
                            <div>
                                {{formatDate(session.NewDate)}}
                            </div>
                        </td>
                        <td>
                            {{session.Time}}
                        </td>
                        <td class="lineup-amount-td">{{session.Amount.formatCurrencyWithPenny(2)}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="clearfix"></div>

        <div ng-if="Model.CancelEditMemo">
            <p class="margin-bottom20">
                Memo: {{Model.CancelEditMemo}}
            </p>
        </div>
        <div class="clearfix"></div>
        <div id="div-sendEmail" class="input-control block checkbox default-style place-left no-margin padding-right50" data-role="input-control">
            <label>
                <input id="checkEmail" ng-model="@Html.Ang(m => m.SendEmail)" name="sendEmail" ng-value="true" type="checkbox" />
                <span class="check"></span>
                Send confirmation email
            </label>
        </div>
    </div>

    <div class="clearfix"></div>
    <hr />
    <button ng-if="Model.PageStep != 'Review'" type="submit" ng-click="continue()" id="btn-Continue" class="success large place-right">Continue</button>
    <button ng-if="Model.PageStep == 'Review'" type="submit" ng-click="edit()" id="btn-Submit" class="success large place-right">Submit</button>
    <button ng-if="Model.PageStep == 'OrderDetail'" class="link large place-left" id="btn-Cancel" ng-click="back()">Cancel</button>
    <button ng-if="Model.PageStep != 'OrderDetail'" class="link large place-left" id="btn-Back" ng-click="back()">Back</button>
    <div class="clearfix"></div>
</div>